
noinst_DATA = Char.hh.in

noinst_PROGRAMS = dump_types

dump_types_SOURCES = dump_types.c

#BUILT_SOURCES = Char.hh.in

CLEANFILES = Char.hh.in

EXTRA_DIST = \
  Char.hh.top \
  Char.hh.bot \
  Char.hh.in \
  DOMException.hh.in \
  DOMException.cc.in \
  DOMString.hh.in \
  DOMString.cc.in \
  DOMStringAux.hh.in \
  DOMStringAux.cc.in \
  DOMTimeStamp.hh.in \
  GdomeStringAux.hh.in \
  GdomeStringAux.cc.in

Char.hh.in : $(srcdir)/Char.hh.top $(srcdir)/Char.hh.bot dump_types
	@cat $< >$@
	@$(top_builddir)/src/shared/dump_types >>$@
	@cat $(srcdir)/Char.hh.bot >>$@

